{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.eGet(IZZ)Ljava/lang/Object;",
  "numberOfDefinitions": 1,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getRedefinedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicGet(IZZ)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.basicGetUpperValue()Lorg/eclipse/uml2/uml/ValueSpecification;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isReadOnly()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getFeaturingClassifiers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isID()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getDefaultValue()Lorg/eclipse/uml2/uml/ValueSpecification;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getOwningAssociation()Lorg/eclipse/uml2/uml/Association;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getClass_()Lorg/eclipse/uml2/uml/Class;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.isOrdered()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getUpperValue()Lorg/eclipse/uml2/uml/ValueSpecification;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getLower()I": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.getRequireds(Lorg/eclipse/uml2/uml/Port;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetAssociation()Lorg/eclipse/uml2/uml/Association;": 1,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eResolveProxy(Lorg/eclipse/emf/ecore/InternalEObject;)Lorg/eclipse/emf/ecore/EObject;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getSubsettedProperties()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getType()Lorg/eclipse/uml2/uml/Type;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getQualifiers()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetOpposite()Lorg/eclipse/uml2/uml/Property;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getAssociation()Lorg/eclipse/uml2/uml/Association;": 1,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getInterface()Lorg/eclipse/uml2/uml/Interface;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getAggregation()Lorg/eclipse/uml2/uml/AggregationKind;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/FeatureImpl.isStatic()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getAssociationEnd()Lorg/eclipse/uml2/uml/Property;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getEnds()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isDerivedUnion()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getRedefinitionContexts()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 1,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isComposite()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.isLeaf()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getDefault()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetOwningAssociation()Lorg/eclipse/uml2/uml/Association;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getNamespace()Lorg/eclipse/uml2/uml/Namespace;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getOwnedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getOwner()Lorg/eclipse/uml2/uml/Element;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetDefaultValue()Lorg/eclipse/uml2/uml/ValueSpecification;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.isUnique()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getDeployedElements()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getVisibility()Lorg/eclipse/uml2/uml/VisibilityKind;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetInterface()Lorg/eclipse/uml2/uml/Interface;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.basicGetLowerValue()Lorg/eclipse/uml2/uml/ValueSpecification;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.basicGetNameExpression()Lorg/eclipse/uml2/uml/StringExpression;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getUpper()I": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetClass_()Lorg/eclipse/uml2/uml/Class;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.isDerived()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetDatatype()Lorg/eclipse/uml2/uml/DataType;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetAssociationEnd()Lorg/eclipse/uml2/uml/Property;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/PortOperations.getProvideds(Lorg/eclipse/uml2/uml/Port;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getDeployments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetOwner()Lorg/eclipse/uml2/uml/Element;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.basicGetTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.getLowerValue()Lorg/eclipse/uml2/uml/ValueSpecification;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.basicGetType()Lorg/eclipse/uml2/uml/Type;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getName()Ljava/lang/String;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getDatatype()Lorg/eclipse/uml2/uml/DataType;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getOpposite()Lorg/eclipse/uml2/uml/Property;": 1
  }
}